Bug 1767848 - Setting manual approval strategy ignored for subsequent releases
Summary: Setting manual approval strategy ignored for subsequent releases
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.z
Assignee: Vu Dinh
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1758008
Blocks: 1796118
TreeView+ depends on / blocked
 
Reported: 2019-11-01 14:10 UTC by Bowen Song
Modified: 2020-01-29 16:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1767846
: 1796118 (view as bug list)
Environment:
Last Closed: 2019-12-03 22:43:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1106 'None' closed [release-4.2] Bug 1767848: Manual approval strategy ignored for subsequent release 2020-01-29 15:24:45 UTC
Github operator-framework operator-lifecycle-manager pull 1112 'None' closed [release-4.2] Bug 1767848: Manual approval strategy ignored for subsequent release 2020-01-29 15:24:45 UTC
Red Hat Product Errata RHBA-2019:3953 None None None 2019-12-03 22:43:23 UTC

Comment 1 Jian Zhang 2019-11-21 08:23:03 UTC
Cluster version is 4.2.0-0.nightly-2019-11-19-194213
mac:~ jianzhang$ oc exec catalog-operator-6b7cf8f8fc-8dvpn -- olm --version
OLM version: 0.11.0
git commit: 34c5c301b63d0d086ea5aa3153bb6c876ecd7ea8

1, Create a subscription with the manual approval policy, as follows:
mac:~ jianzhang$ cat sub-42-manual.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  name: etcd-manual
  namespace: openshift-operators
spec:
  channel: clusterwide-alpha
  installPlanApproval: Manual
  name: etcd
  source: community-operators
  sourceNamespace: openshift-marketplace
  startingCSV: etcdoperator.v0.9.2-clusterwide
mac:~ jianzhang$ oc create -f sub-42-manual.yaml 
subscription.operators.coreos.com/etcd-manual created
mac:~ jianzhang$ oc get sub -A
NAMESPACE             NAME          PACKAGE   SOURCE                CHANNEL
openshift-operators   etcd-manual   etcd      community-operators   clusterwide-alpha

2, Check its InstallPlan and approve it.
mac:~ jianzhang$ oc get ip -n openshift-operators
NAME            CSV                               APPROVAL   APPROVED
install-58w2j   etcdoperator.v0.9.2-clusterwide   Manual     false
mac:~ jianzhang$ oc edit ip install-58w2j -n openshift-operators
installplan.operators.coreos.com/install-58w2j edited
mac:~ jianzhang$ oc get ip -n openshift-operators
NAME            CSV                               APPROVAL   APPROVED
install-58w2j   etcdoperator.v0.9.2-clusterwide   Manual     true
install-skvgx   etcdoperator.v0.9.4-clusterwide   Manual     false
mac:~ jianzhang$ oc get csv -n openshift-operators
NAME                              DISPLAY   VERSION             REPLACES              PHASE
etcdoperator.v0.9.2-clusterwide   etcd      0.9.2-clusterwide   etcdoperator.v0.9.0   Succeeded

As we can see from above, the following InstallPlan(install-skvgx) doesn't get approval automatically. LGTM. 

3, Approve it manually. The newer version has been installed. Verify it.
mac:~ jianzhang$ oc get ip -n openshift-operators
NAME            CSV                               APPROVAL   APPROVED
install-58w2j   etcdoperator.v0.9.2-clusterwide   Manual     true
install-skvgx   etcdoperator.v0.9.4-clusterwide   Manual     true

mac:~ jianzhang$ oc get csv -n openshift-operators
NAME                              DISPLAY   VERSION             REPLACES                          PHASE
etcdoperator.v0.9.2-clusterwide   etcd      0.9.2-clusterwide   etcdoperator.v0.9.0               Replacing
etcdoperator.v0.9.4-clusterwide   etcd      0.9.4-clusterwide   etcdoperator.v0.9.2-clusterwide   Installing

mac:~ jianzhang$ oc get csv -n openshift-operators
NAME                              DISPLAY   VERSION             REPLACES                          PHASE
etcdoperator.v0.9.4-clusterwide   etcd      0.9.4-clusterwide   etcdoperator.v0.9.2-clusterwide   Succeeded

Comment 3 errata-xmlrpc 2019-12-03 22:43:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3953


Note You need to log in before you can comment on or make changes to this bug.